package Link;

my $pkg="Link";

use strict;
use lib ("/home/web-mycompany/www/lib");
use My;

#==== Globalni promena tohohle balicku

#==== Napojeni na DB
#my $dbh=My->dbh;


#- funkce vraci link na dannou zakazku
sub zak {
   my ($pkg_p, $zak)=@_;
   return '/Vyroba_priprava/Zakazky/domzak.phtml' . '?zak=' . encode_uri($zak) . '&platnost=' . encode_uri(get_env("datum")) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na danny material
sub mat {
   my ($pkg_p, $mat)=@_;
   return '/Vyroba_priprava/Material/dommat.phtml' . '?mat=' . encode_uri($mat) . '&platnost=' . encode_uri(get_env("datum")) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na danny naradi
sub nar {
   my ($pkg_p, $nar)=@_;
   return '/Vyroba_priprava/Naradi/domnar.phtml' . '?nar=' . encode_uri($nar) . '&platnost=' . encode_uri(get_env("datum")) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na kmint - zatim odkaz na cast vykonove normy
sub kmint {
   my ($pkg_p, $zak,$kmint)=@_;
   return '/Vyroba_priprava/Vykon_norma/zobvn.' . get_env("org") . '.phtml' . '?zak=' . encode_uri($zak) . '&platnost=' . encode_uri(get_env("datum")) . '&kmint=' . encode_uri($kmint) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na oc
sub oc {
   my ($pkg_p, $oc)=@_;
   return '/Spolecnost/Zamestnanci/domzam.phtml' . '?oc=' . encode_uri($oc) . '&platnost=' . encode_uri(get_env("datum")) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na org - org zatim nema domaci stranku (proto odkazuji na org. schema), ale casem ji udelej
sub org {
   my ($pkg_p, $org)=@_;
   return '/Spolecnost/Org/zoborgsch.' . $org . '.phtml' . '?platnost=' . encode_uri(get_env("datum")) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na str
sub str {
   my ($pkg_p, $str)=@_;
   return '/Spolecnost/Str/domstr.phtml' . '?str=' . encode_uri($str) . '&platnost=' . encode_uri(get_env("datum")) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na ico
sub partner {
   my ($pkg_p, $partner,$cadr)=@_;
   if(!defined($cadr)) {
      $cadr="000";
   }
   return '/Spolecnost/Adresar/domadres.phtml' . '?partner=' . encode_uri($partner) . '&cadr=' . encode_uri($cadr) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na okruh
sub okruh {
   my ($pkg_p, $okruh)=@_;
   return '/Prava/okruh.phtml' . '?okruh=' . encode_uri($okruh) . '&submit=' . encode_uri('Zobrazit');
}

#- funkce vraci link na cisvyd
sub cisvyd {
   my ($pkg_p, $org,$cisvyd)=@_;
   return "/Vyroba_planovani/Vydejky/zobvydejky." . $org . ".phtml" . "?zak=" . "&cisvyd=" . encode_uri($cisvyd) . "&omezeni=" . encode_uri("0") . "&submit=" . encode_uri("Zobrazit");
}

#- funkce vraci link na doklad o odvadeni
sub odvdokl {
   my ($pkg_p, $ucetobd,$strodv,$dokl)=@_;
   return "/Vyroba_evidence/Odvadeni/aktzobodvdokl." . get_env("org") . ".phtml" . "?ucetobd=" . encode_uri($ucetobd) . "&str=" . encode_uri($strodv) . "&dokl=" . encode_uri($dokl) . "&submit=" . encode_uri("Zobrazit");
}

#- funkce vraci odkaz na zobrazeni nakupni objednavky
sub cnobj {
   my ($pkg_p, $cnobj)=@_;
   return "/Obchod/Objnak/zobvystobj." . get_env("org") . ".phtml" . "?cnobj=" . encode_uri($cnobj) . "&submit=" . encode_uri("Zobrazit");
}

#- funkce vraci odkaz na moznost aktualizace poznamky materialu
sub aktmatpozn {
   my ($pkg_p, $mat,$druh,$str,$cisvyd)=@_;
   return "/Vyroba_priprava/Material/akt_poznmat.phtml" . "?FileOper=" . encode_uri("Vyhledat") . "&cgi_mat=" . encode_uri($mat) . "&cgi_druh=" . encode_uri($druh) . "&cgi_str=" . encode_uri($str) . "&cgi_cisvyd=" . encode_uri($cisvyd);
}

#- link na rozbalovani u kapacit
sub zobkapobdrozpis {
   my ($pkg_p, $rezim,$vpdruhobd,$vychdatum,$pocetobd,$skupprac,$str,$prac,$sor,$davkovane,$zobkoop)=@_;
   return "/Vyroba_kapacity/Propocty/zobkapobdrozpis." . get_env("org") . ".phtml" . "?rezim=" . encode_uri($rezim) . "&vpdruhobd=" . encode_uri($vpdruhobd) . "&vychdatum=" . encode_uri($vychdatum) . "&pocetobd=" . encode_uri($pocetobd) . "&skupprac=" . encode_uri($skupprac) . "&str=" . encode_uri($str) . "&prac=" . encode_uri($prac) . "&sor=" . encode_uri($sor) . "&davkovane=" . encode_uri($davkovane) . "&zobkoop=" . encode_uri($zobkoop) . "&submit=" . encode_uri("Zobrazit");
}

#- link na rozbalovani u kapacit (jiz vykazanych)
sub zobvykkapobdrozpis {
   my ($pkg_p, $rezim,$vpdruhobd,$vychdatum,$pocetobd,$skupprac,$typdm,$str,$prac)=@_;
   return "/Vyroba_kapacity/Propocty/zobvykkapobdrozpis." . get_env("org") . ".phtml" . "?rezim=" . encode_uri($rezim) . "&vpdruhobd=" . encode_uri($vpdruhobd) . "&vychdatum=" . encode_uri($vychdatum) . "&pocetobd=" . encode_uri($pocetobd) . "&skupprac=" . encode_uri($skupprac) . "&str=" . encode_uri($str) . "&prac=" . encode_uri($prac) . "&typdm=" . encode_uri($typdm) . "&submit=" . encode_uri("Zobrazit");
}

#- funkce vraci link pro img na prilohu operace
sub prilohy_operace {
   my ($pkg_p, $zak,$oper,$druh,$ozn,$bezplatnosti)=@_;
   if($druh eq "obr") {
      $druh="obrpng";
   }
   my $href="/share/scripts/zobprilohyoperace.phtml" . "?zak=" . encode_uri($zak) . "&oper=" . encode_uri($oper) . "&druh=" . encode_uri($druh) . "&ozn=" . encode_uri($ozn) . "&submit=" . encode_uri("Zobrazit");
   if(!$bezplatnosti) {
      $href.="&platnost=" . get_env("datum");
   }
   return $href;
}

#- funkce vraci link zobrazeujici seznam obrazkovych priloh k operaci
sub prilohy_operace_seznamobr {
   my ($pkg_p, $zak,$oper)=@_;
   return "/share/scripts/aktpovlozobr.".get_env("org").".phtml?zak=".encode_uri($zak)."&oper=".encode_uri($oper)."&platnost=".encode_uri(get_env("datum")),
}

#- funkce vraci link pro dalsich X zaznamu
sub limit {
   my ($pkg_p, $idcs,@limit)=@_;
   return My->okruh."?_idcs=".$idcs."&limit=".($limit[0]+$limit[1]).",".$limit[1];
}

return 1;

