package MyMIME;

use strict;

my $pkg="MyMIME";

use Unicode::Map8;
use MIME::Decoder;
use MIME::QuotedPrint;

my $l2_map=Unicode::Map8->new("ISO_8859-2") || die;
my $win_map=Unicode::Map8->new("cp1250") || die;

#-- fce vraci QP retezec
sub qp {
   my ($pkg_p,$str)=@_;
   $str=$win_map->recode8($l2_map,$str);
   $str=encode_qp($str);
   return $str;
}

#-- fce vraci QP retezec vhodny do mailu - prohanej tim subject a tistena jmena
sub qp_little {
   my ($pkg_p,$str)=@_;
   $str=$pkg->qp($str);
   $str=~s/ /_/g;
   $str= '=?iso-8859-2?Q?' . $str . '?=';
   return $str;
}

return 1;

